#
# This script does the same as "daylights_simple.r".
# However, it uses a "classic" CQP approach, including the verb in the CQP match.
# This means that CQP first finds all matches the POS of which starts with "VB".
# On our dgm07 server, this takes ~180s, while the other script takes ~2s.
#

rm(list=ls(all=T))
require(rcqp)

ptm <- proc.time()
cqi_query("UKCOW2012D", "Daylights", '[pos="VB.*"] "the" "living" "daylights"')
ptm <- proc.time() - ptm
cat("\nTime taken:", ptm[3], "\n\n")

fd <- cqi_fdist1("UKCOW2012D:Daylights", "match", "lemma")
vbs <- cqi_id2str("UKCOW2012D.lemma", fd[,1])

# This coercion is necessary to keep cbind() from inferring the type.
vbf <- as.data.frame(fd[,2])
fdata <- data.frame(cbind(vbs, vbf))
colnames(fdata) <- c("Verb", "Freq")
barplot(fdata$Freq, names.arg=fdata$Verb, las=2)